glibmm 2.88.0

Macros
Version

Glibmm version. More...

## Macros
#define | GLIBMM_MAJOR_VERSION
| The major version number of the GLIBMM library.
#define | GLIBMM_MINOR_VERSION
| The minor version number of the GLIBMM library.
#define | GLIBMM_MICRO_VERSION
| The micro version number of the GLIBMM library.
#define | GLIBMM_CHECK_VERSION(major, minor, micro)
| Checks the version of the GLIBMM header files at compile time.

## Detailed Description

Glibmm version.

## Macro Definition Documentation

## ◆ GLIBMM_CHECK_VERSION

#define GLIBMM_CHECK_VERSION | ( |  | major,
|  |  | minor,
|  |  | micro
| ) |  |

Checks the version of the GLIBMM header files at compile time.

Returns `true` if the version of the GLIBMM header files is the same as or newer than the passed-in version.

Since glibmm 2.76:

Parameters

  major | Major version (e.g. 2 for version 2.76.1)
  minor | Minor version (e.g. 76 for version 2.76.1)
  micro | Micro version (e.g. 1 for version 2.76.1)

Returns
  `true` if GLIBMM headers are new enough.

## ◆ GLIBMM_MAJOR_VERSION

#define GLIBMM_MAJOR_VERSION

The major version number of the GLIBMM library.

From the headers used at application compile time. E.g. in GLIBMM version 2.76.1 this is 2.

## ◆ GLIBMM_MICRO_VERSION

#define GLIBMM_MICRO_VERSION

The micro version number of the GLIBMM library.

From the headers used at application compile time. E.g. in GLIBMM version 2.76.1 this is 1.

## ◆ GLIBMM_MINOR_VERSION

#define GLIBMM_MINOR_VERSION

The minor version number of the GLIBMM library.

From the headers used at application compile time. E.g. in GLIBMM version 2.76.1 this is 76.